CATMAN(8)

NAVN
catman - create or update the pre-formatted manual pages

SYNOPSIS
catman [-d?V] [-M sti] [-C fil] [afsnit] ...

BESKRIVELSE
catman is used to create an up to date set of pre-formatted manual pages known as cat pages. Cat pages are generally much faster to display than the original manual pages, but require extra storage space. The decision to support cat pages is that of the local administrator, who must provide suitable directories to contain them. The options available to catman are the manual page hierarchies and sections to pre-format. The default hierarchies are those specified as system hierarchies in the man-db configuration file, and the default sections are either the colon-delimited contents of the environment variable $MANSECT or the standard set compiled into man if $MANSECT is undefined. Supplying catman with a set of whitespace-delimited section names will override both of the above. catman makes use of the index database cache associated with each hierarchy to determine which files need to be formatted.

TILVALG

-d, --debug
    Vis fejlsøgningsinformation.

-M sti, --manpath=sti
    Specify an alternate colon-delimited manual page hierarchy search path. By default, this is all paths indicated as system hierarchies in the man-db configuration file.

-C fil, --config-file=fil
    Brug denne brugerkonfigurationsfil frem for standarden ~/.manpath.

-?, --help
    Vis en hjælpebesked og afslut.

--usage
    Vis en kort hjælpebesked og afslut.

-V, --version
    Vis versionsinformation.

MILJØ

MANSECT
    If $MANSECT is set, its value is a colon-delimited list of sections and it is used to determine which manual sections to search and in what order. The default is "1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 1x 2x 3x 4x 5x 6x 7x 8x", unless overridden by the SECTION directive in /etc/man_db.conf.

MANPATH
    If $MANPATH is set, its value is interpreted as the colon-delimited manual page hierarchy search path to use.

FILER

/etc/man_db.conf
    konfigurationsfil for man-db.

/usr/man/index.(bt|db|dir|pag)
    Et traditionelt globalt index-databasemellemlager.

/var/catman/index.(bt|db|dir|pag)
    An alternate or FSSTND compliant global index database cache.

SE OGSÅ
man(1), manpath(5), mandb(8)

FORFATTER
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).